lua-event_0.4.3-1_amd64.deb


Advertisement

Description

lua-event - asynchronous event notification library for Lua

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lua-event
Package version 0.4.3
Package release 1
Package architecture amd64
Package type deb
Installed size 89 B
Download size 13.60 KB
Official Mirror ftp.br.debian.org
This package contains the bindings for libevent, a synchronous event
notification library that provides a mechanish to execute a callback function
when a specific event occurs on a file descriptor or after a timeout has been
reached.

Alternatives

Package Version Architecture Repository
lua-event_0.4.3-1_i386.deb 0.4.3 i386 Debian Main
lua-event - - -

Requires

Name Value
libc6 >= 2.2.5
libevent-2.0-5 >= 2.0.10-stable
lua-socket -
multiarch-support -

Provides

Name Value
liblua5.1-event0 -
lua5.1-event -

Replaces

Name Value
liblua5.1-event0 << 0.4.1-1~

Download

Type URL
Binary Package lua-event_0.4.3-1_amd64.deb
Source Package lua-event

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-event deb package:
    # sudo apt-get install lua-event

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-event.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-event.so.0.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/luaevent/core.so
/usr/share/doc/lua-event/changelog.Debian.gz
/usr/share/doc/lua-event/changelog.gz
/usr/share/doc/lua-event/copyright
/usr/share/lua/5.1/luaevent.lua

Changelog

2013-08-09 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.4.3-1) unstable; urgency=low
* New upstream release 
* Remove transitional packages
* Packaging moved to git 
* Remove luaevent-catch-errors-1.patch (applied upstream) 
2012-07-02 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.4.1-3~dbg4matthew1) unstable; urgency=low
* debian/compat set to 9
* new package lua-event-dbg 
2012-07-02 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.4.1-2) unstable; urgency=low
* Fix error handling with libevent2 (thanks Matthew Wild). Added patch
luaevent-catch-errors-1.patch (Closes: #679925) 
2012-05-30 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.4.1-1) unstable; urgency=low
* New upstream release 
* Switched to dh-lua
* Bumped Standards-version to 3.9.3, no changes 
* Packages renamed according to the new lua policy
* debian/compat to 8 
2011-07-22 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.3.1-3) unstable; urgency=low
* Source format 3.0 (quilt)
2011-07-20 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.3.1-2) unstable; urgency=low
* Multi-Arch compliant (dh >= 3.1.8, lua5.1-policy >= 32)
* Bumped Standards-version to 3.9.2, no changes 
2011-07-03 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.3.1-1) experimental; urgency=low
* new upstream release, compatible with libevent 2.0
* updated copyright
* updated homepage field in control
2010-07-19 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.1.1-2) unstable; urgency=low
* build-depend on liblua5.1-policy-dev >= 22~, thanks Bernd (Closes: #589548) 
2010-06-15 - Enrico Tassi <gareuselesinge@debian.org>
lua-event (0.1.1-1) unstable; urgency=low
* Initial release. (Closes: #586033)

See Also

Package Description
lua-expat-dev_1.3.0-2_amd64.deb libexpat development files for the Lua language
lua-expat_1.3.0-2_amd64.deb libexpat bindings for the Lua language
lua-filesystem-dev_1.6.2-3_amd64.deb luafilesystem development files for the Lua language
lua-filesystem_1.6.2-3_amd64.deb luafilesystem library for the Lua language
lua-guestfs_1.28.1-1_amd64.deb guest disk image management system - Lua bindings
lua-iconv-dev_7-2_amd64.deb iconv bindings for Lua - development files
lua-iconv_7-2_amd64.deb iconv bindings for the Lua programming language
lua-json_1.3.2-1_all.deb JSON decoder/encoder for Lua
lua-ldap-dev_1.1.0-1-geeac494-6_amd64.deb LDAP development files for the Lua language
lua-ldap_1.1.0-1-geeac494-6_amd64.deb LDAP library for the Lua language
lua-ldoc_1.4.2-1_all.deb LuaDoc-compatible documentation generation system
lua-leg-dev_0.1.3-1_all.deb Leg development files for the Lua language
lua-leg_0.1.3-1_all.deb Lua 5.1 grammar, with parsing and manipulation facilities
lua-lemock-dev_0.6-1_all.deb LeMock (Lua Easy Mock) for unit test
lua-lemock_0.6-1_all.deb LeMock (Lua Easy Mock) for unit test
Advertisement
Advertisement